
Testing operator >>() and length(): string should be null and have length 0.
This is your output:
3
Testing extract(): should return 0, leading to a "string too short" message.
This is your output:
e
Testing index(): should return 0, leading to a "character not found" message.
This is your output:
0
Testing split(): head and tail should both be null.
This is your output:
1
Testing cdelete(): should get an "ERROR - STRING TOO SHORT" message.
This is your output:
3
e
Testing insert(): should get an "ERROR - STRING TOO SHORT" message.
This is your output:
II desu.
Testing concat() with string "Il desu.": should get "II desu."
This is your output:








